pagecreate(page = population) a 1999 2013
pageselect population

smpl @first @last
read(b3, s=y_pop_raw ) "Database_cf1.xls" 11

for  %s BD BG ES FN FR GR IR IT NL OE PT 
series {%s}_population={%s}espopu/1000
delete {%s}espopu
next

pagecreate(page = quarterly) q 1/1/2000 31/12/2013

copy(c = i) population\* quarterly\ 

'pageselect population
'pagedelete population
pageselect  quarterly

'gdp 
smpl @first @last
read(b3, s=q_gdp_with_spain ) "Database_cf1.xls" 11
for  %s BD BG ES FN FR GR IR IT NL OE PT 
rename {%s} gdp_{%s}
next

series gdp_bd=gdp_bd*1000

'gdp per capita in euro
for  %s BD BG ES FN FR GR IR IT NL OE PT 
genr gdp_pc_{%s}=gdp_{%s}/{%s}_population
series gdp_{%s}_log=log(gdp_pc_{%s})
next

'trade weights
read( b3, s=q_trade_weights ) "Database_cf1.xls"  121
for  %s bd bg es fn fr gr ir it nl oe pt 
delete w_{%s}_{%s}_tr
next

 
'GVAR
smpl @first 2012q4
'GLOBAL IT
%LIST = " bd bg es fn  fr ir nl oe pt gr  " 'it 
genr glob_gdp_it_tr=0
FOR %IDC {%LIST}
glob_gdp_it_tr=glob_gdp_it_tr+W_IT_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL BG
%LIST = " bd it es fn  fr ir nl oe pt gr  " 'bg 
genr glob_gdp_bg_tr=0
FOR %IDC {%LIST}
glob_gdp_bg_tr=glob_gdp_bg_tr+W_bg_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL ES
%LIST = " bd bg it fn  fr ir nl oe pt gr  " 'es 
genr glob_gdp_es_tr=0
FOR %IDC {%LIST}
glob_gdp_es_tr=glob_gdp_es_tr+W_es_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL FN
%LIST = " bd bg es it  fr ir nl oe pt gr  " 'fn 
genr glob_gdp_fn_tr=0
FOR %IDC {%LIST}
glob_gdp_fn_tr=glob_gdp_fn_tr+W_fn_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL FR
%LIST = " bd bg es fn  it ir nl oe pt gr  " 'fr 
genr glob_gdp_fr_tr=0
FOR %IDC {%LIST}
glob_gdp_fr_tr=glob_gdp_fr_tr+W_fr_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL IR
%LIST = " bd bg es fn  fr it nl oe pt gr  " 'ir 
genr glob_gdp_ir_tr=0
FOR %IDC {%LIST}
glob_gdp_ir_tr=glob_gdp_ir_tr+W_ir_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL NL
%LIST = " bd bg es fn  fr ir it oe pt gr  " 'nl 
genr glob_gdp_nl_tr=0
FOR %IDC {%LIST}
glob_gdp_nl_tr=glob_gdp_nl_tr+W_nl_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL OE
%LIST = " bd bg es fn  fr ir nl it pt gr  " 'oe 
genr glob_gdp_oe_tr=0
FOR %IDC {%LIST}
glob_gdp_oe_tr=glob_gdp_oe_tr+W_oe_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL PT
%LIST = " bd bg es fn  fr ir nl oe it gr  " 'pt 
genr glob_gdp_pt_tr=0
FOR %IDC {%LIST}
glob_gdp_pt_tr=glob_gdp_pt_tr+W_pt_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL GR
%LIST = " bd bg es fn  fr ir nl oe pt it  " 'gr 
genr glob_gdp_gr_tr=0
FOR %IDC {%LIST}
glob_gdp_gr_tr=glob_gdp_gr_tr+W_gr_{%IDC}_tr*gdp_{%IDC}_log
next 

'GLOBAL GDP BD
%LIST = " gr bg es fn  fr ir nl oe pt it  " 'bd 
genr glob_gdp_bd_tr=0
FOR %IDC {%LIST}
glob_gdp_bd_tr=glob_gdp_bd_tr+W_bd_{%IDC}_tr*gdp_{%IDC}_log
next 

'PLOTS
'log gdps
for  %s bd bg es fn fr gr ir it nl oe pt 

graph fig_gdp_{%s}_log_glob.line(x) gdp_{%s}_log glob_gdp_{%IDC}_tr
fig_gdp_{%s}_log_glob.axis(l) grid zeroline
fig_gdp_{%s}_log_glob.axis(b) grid
fig_gdp_{%s}_log_glob.option linepat
fig_gdp_{%s}_log_glob.setelem(1) lcolor(red) lpat(solid) lwidth(1.25)
fig_gdp_{%s}_log_glob.setelem(2) lcolor(blue) lpat(solid) lwidth(1.25)
fig_gdp_{%s}_log_glob.name(1) Log Gdp {%s}  
fig_gdp_{%s}_log_glob.name(2) Global Gdp {%s} 
fig_gdp_{%s}_log_glob.addtext(t) {%s} 
'fig_gdp_{%s}_log_glob.draw(line,bottom) 01/07/2007
'fig_gdp_{%s}_log_glob.draw(line,bottom,pattern(3)) 01/09/2009
next

graph fig_log_gdp_glob_piigs.merge fig_gdp_es_log_glob fig_gdp_gr_log_glob fig_gdp_ir_log_glob fig_gdp_it_log_glob fig_gdp_pt_log_glob
graph fig_log_gdp_glob_no_piigs.merge fig_gdp_bd_log_glob fig_gdp_bg_log_glob fig_gdp_fn_log_glob fig_gdp_fr_log_glob fig_gdp_nl_log_glob fig_gdp_oe_log_glob
delete fig_gdp_*

graph fig_gdp_glob_all.line (glob_gdp_bd_tr-@mean(glob_gdp_bd_tr)) (glob_gdp_gr_tr-@mean(glob_gdp_gr_tr)) (glob_gdp_bg_tr-@mean(glob_gdp_bg_tr)) (glob_gdp_es_tr-@mean(glob_gdp_es_tr)) (glob_gdp_fn_tr-@mean(glob_gdp_fn_tr)) (glob_gdp_fr_tr-@mean(glob_gdp_fr_tr)) (glob_gdp_ir_tr-@mean(glob_gdp_ir_tr)) (glob_gdp_nl_tr-@mean(glob_gdp_nl_tr)) (glob_gdp_oe_tr-@mean(glob_gdp_oe_tr)) (glob_gdp_pt_tr-@mean(glob_gdp_pt_tr)) (glob_gdp_it_tr-@mean(glob_gdp_it_tr))
fig_gdp_glob_all.axis(l) grid zeroline
fig_gdp_glob_all.axis(b) grid
fig_gdp_glob_all.option linepat	
fig_gdp_glob_all.addtext(t) demeaned global log GDPs

'graphs for the spreads 
%LIST = "bg es fn fr gr ir it nl oe pt " 
FOR %IDC  {%LIST}
copy(c= l)  dataset\yield_s_{%IDC} quarterly\yield_s_{%IDC}
NEXT

%type="FIG_spread_quarterly"
delete {%type}*
	graph {%type}.line  yield_s_it yield_s_es yield_s_pt yield_s_fr  yield_s_fn yield_s_oe yield_s_nl yield_s_bg yield_s_gr yield_s_ir
	{%type}.axis grid zeroline
	{%type}.option linepat	
	{%type}.elem(1) lcolor(black) lpat(solid)  lwidth(1.25)
	{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	{%type}.elem(3) lcolor(red) lpat(dash2) lwidth(1.25)
	{%type}.elem(4) lcolor(green) lpat(dash6) lwidth(1.25) 
	{%type}.elem(5)  lpat(dash2)  lwidth(1.25)
	{%type}.elem(6) lcolor(yellow) lpat(dash1)  lwidth(1.25)
	{%type}.elem(7) lpat(solid)  lwidth(1.25)
	{%type}.elem(8) lcolor(orange) lpat(dash6)  lwidth(1.25)
	{%type}.elem(9) lcolor(green) lpat(solid)  lwidth(1.25)
	{%type}.elem(10) lcolor(orange) lpat(solid)  lwidth(1.25)
	'{%type}.elem(11) lpat(solid)  lwidth(1.25)

	'{%type}.name(1) Germany
	{%type}.name(1) Italy
	{%type}.name(2) Spain
	{%type}.name(3) Portugal
	{%type}.name(4) France
	{%type}.name(5) Finland
	{%type}.name(6) Austria
	{%type}.name(7) Netherland
	{%type}.name(8) Belgium
	{%type}.name(9) Greece
	{%type}.name(10) Ireland

	{%type}.addtext(t)  "Spreads on German Bunds"
	{%type}.legend columns(1) position(r)
                '{%type}.draw(shade,bottom) 01/01/1990 31/12/2012

%type="FIG_growth_quarterly"
delete {%type}*
	graph {%type}.line  (gdp_it_log-@mean(gdp_it_log)) (gdp_es_log-@mean(gdp_es_log)) (gdp_pt_log-@mean(gdp_pt_log)) (gdp_fr_log-@mean(gdp_fr_log)) (gdp_fn_log-@mean(gdp_fn_log)) (gdp_oe_log-@mean(gdp_oe_log)) (gdp_nl_log-@mean(gdp_nl_log)) (gdp_bg_log-@mean(gdp_bg_log)) (gdp_gr_log-@mean(gdp_gr_log)) (gdp_ir_log-@mean(gdp_ir_log)) (gdp_bd_log-@mean(gdp_bd_log)) 
	{%type}.axis grid zeroline
	{%type}.option linepat	
	{%type}.elem(1) lcolor(black) lpat(solid)  lwidth(1.25)
	{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	{%type}.elem(3) lcolor(red) lpat(dash2) lwidth(1.25)
	{%type}.elem(4) lcolor(green) lpat(dash6) lwidth(1.25) 
	{%type}.elem(5)  lpat(dash2)  lwidth(1.25)
	{%type}.elem(6) lcolor(yellow) lpat(dash1)  lwidth(1.25)
	{%type}.elem(7) lpat(solid)  lwidth(1.25)
	{%type}.elem(8) lcolor(orange) lpat(dash6)  lwidth(1.25)
	{%type}.elem(9) lcolor(green) lpat(solid)  lwidth(1.25)
	{%type}.elem(10) lcolor(orange) lpat(solid)  lwidth(1.25)
	{%type}.elem(11) lpat(solid)  lwidth(1.25)

	{%type}.name(11) Germany
	{%type}.name(1) Italy
	{%type}.name(2) Spain
	{%type}.name(3) Portugal
	{%type}.name(4) France
	{%type}.name(5) Finland
	{%type}.name(6) Austria
	{%type}.name(7) Netherland
	{%type}.name(8) Belgium
	{%type}.name(9) Greece
	{%type}.name(10) Ireland

	{%type}.addtext(t)  "(log-demeaned) GDP"
	{%type}.legend columns(1) position(r)
              '  {%type}.draw(shade,bottom) 01/01/1990 31/12/2012

' construct  and plot cross-sectional SD

for !J=1 to 51

smpl 2000:1+!j 2000:1+!j

series mean_ly_s=  0.1*((gdp_bg_log- gdp_bd_log)+ (gdp_es_log- gdp_bd_log)+ (gdp_fn_log- gdp_bd_log) +(gdp_fr_log- gdp_bd_log)+ (gdp_gr_log- gdp_bd_log)+ (gdp_ir_log- gdp_bd_log)+ (gdp_it_log- gdp_bd_log) +(gdp_nl_log- gdp_bd_log)+ (gdp_oe_log- gdp_bd_log)+ (gdp_pt_log- gdp_bd_log))

series mean_yi_s= 0.1*(yield_s_bg+yield_s_es+yield_s_fn+yield_s_fr+yield_s_gr+yield_s_ir+yield_s_it+yield_s_nl+yield_s_oe+yield_s_pt)

series sigma_ly_s=(0.1*((gdp_bg_log- gdp_bd_log- mean_ly_s)^2+ (gdp_es_log- gdp_bd_log- mean_ly_s)^2+ (gdp_fn_log- gdp_bd_log- mean_ly_s)^2 +(gdp_fr_log- gdp_bd_log- mean_ly_s)^2+(gdp_gr_log- gdp_bd_log- mean_ly_s)^2+ (gdp_ir_log- gdp_bd_log- mean_ly_s)^2+ (gdp_it_log- gdp_bd_log- mean_ly_s)^2 +(gdp_nl_log- gdp_bd_log- mean_ly_s)^2+ (gdp_oe_log- gdp_bd_log- mean_ly_s)^2+ (gdp_pt_log- gdp_bd_log- mean_ly_s)^2))^.5

series sigma_yi_s=(0.1*((yield_s_bg- mean_yi_s)^2+ (yield_s_es- mean_yi_s)^2+ (yield_s_fn- mean_yi_s)^2 +(yield_s_fr- mean_yi_s)^2+ (yield_s_gr- mean_yi_s)^2 +(yield_s_ir- mean_yi_s)^2+ (yield_s_it- mean_yi_s)^2+ (yield_s_nl- mean_yi_s)^2 +(yield_s_oe- mean_yi_s)^2+ (yield_s_pt- mean_yi_s)^2))^.5
next

smpl 2001:2 2012:4

%type="FIG_cross_meansd_1"
delete {%type}*
	graph {%type}.line sigma_ly_s mean_ly_s
	{%type}.axis grid zeroline
	{%type}.option linepat	
	{%type}.elem(1) lcolor(black) lpat(solid)  lwidth(1.25)
	{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	
	{%type}.name(1) Cross Sectional dispersion
	{%type}.name(2) Cross Sectional mean
	
	{%type}.addtext(t)  "(log of) per capita ouput differential with Germany"
	'{%type}.legend columns(1) position(r)
              '  {%type}.draw(shade,bottom) 01/01/1990 31/12/2012

%type="FIG_cross_meansd_2"
delete {%type}*
	graph {%type}.line sigma_yi_s mean_yi_s
	{%type}.axis grid zeroline
	{%type}.option linepat	
	{%type}.elem(1) lcolor(black) lpat(solid)  lwidth(1.25)
	{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	
	{%type}.name(1) Cross Sectional dispersion
	{%type}.name(2) Cross Sectional mean
	
	{%type}.addtext(t)  "Yield Spreads on  German Bund"
	'{%type}.legend columns(1) position(r)
              '  {%type}.draw(shade,bottom) 01/01/1990 31/12/2012
graph fig_1.merge FIG_growth_quarterly fig_spread_quarterly
fig_1.align(2,1.2,2.1)

graph fig_2.merge  FIG_cross_meansd_1 fig_cross_meansd_2
fig_2.align(2,1.2,2.1)
pagecreate(page = Graphs) m 2000:1 2013:12
pageselect quarterly
copy quarterly\fig_1 Graphs\
copy quarterly\fig_2 Graphs\
pageselect Dataset
