pageselect Dataset
%LIST = " bg es fn  fr gr  ir it nl oe pt  " 
%LIST2 = "bg es fn fr ir it nl oe pt" 
!horz=12
!reps=5
'!horz defines the horizon for impulse responses
'!reps defines the number of replications
'preparing the storage matrixes for bootstrapped impulse responses
FOR %IDC  {%LIST}
matrix(!horz,!reps) all_boot_res_{%IDC}
next

'******************************************
'estimating the coefficient and residuals from sys_gvar
'******************************************
smpl 10/01/2000 24/10/2011
genr shock=0
sys_gvar.sur
'storing the coefficients
matrix(80,1) sys_gvar_coeff
for !J =1 to 80
sys_gvar_coeff(!J,1)=c(!J)
next
group res_sur
sys_gvar.makeresid
rename resid10 resid010
!i=1
FOR %IDC {%LIST}
genr res_yield_s_{%IDC}=resid0!i
res_sur.add res_yield_s_{%IDC}
!i=!i+1
next
delete resid* 
res_sur.cov(out=sur)


''******************************************
''bootstrap loop
''******************************************

'******************************
'STARTING THE LOOP
'******************************
rndseed(type=mt) 1234567
for !sim = 1 to !reps
smpl 10/01/2000 24/10/2007
res_sur.resample(outsmpl="@first @last") 
smpl 10/01/2000 24/10/2011
'putting the resampled residuals into the model mc_model to generate bootstrapped series
model MC_model
include make_sys_gvar_with_boot_res
include make_sys_gvar_with_boot_res1
MC_model.solveopt(s=d,d=d	)
MC_model.solve
'estimating the coefficient  from sys_gvar_0
system sys_gvar_0
delete !J*
!J = 0
FOR %IDC {%LIST}
include MAKE_SYS_GVAR_0
!J = !J +8
next
sys_gvar_0.sur
'here we compute impulse responses in the baseline scenario
model imp_res_bl 
include make_sys_ir_bl

imp_res_bl.append assign @all  _bl
smpl 3/1/2011+1 3/1/2011+!horz 'setting the time period for impulse responses
imp_res_bl.solve
'here we compute impulse responses in the alternative scenario
model imp_res_al 
include make_sys_ir_al
imp_res_al.append assign @all  _al
smpl 3/1/2011+1 3/1/2011+1
shock=0.5
smpl 3/1/2011+1 3/1/2011+!horz 'setting the time period for impulse responses
imp_res_al.solve
smpl 3/1/2011+1 3/1/2011+1
shock=0
'construction and storage of the impulse responses
'storing results
smpl 3/1/2011+1 3/1/2011+!horz
FOR %IDC {%LIST}
series yield_s_{%IDC}_imp=yield_s_{%IDC}_0_al-yield_s_{%IDC}_0_bl
stomNA(yield_s_{%IDC}_imp,temp)
colplace(all_boot_res_{%IDC},temp,!sim)
next
delete temp*
next
' after all simulation have been computed median upper and lower bound are extracted
FOR %IDC  {%LIST}
matrix(!horz,3) imp_rsp_yield_s_{%IDC}
rowvector rtmp
for !i=1 to !horz
rowvector rtmp = @rowextract(all_boot_res_{%IDC},!i)
imp_rsp_yield_s_{%IDC}(!i,1) = @quantile(rtmp,0.975)
imp_rsp_yield_s_{%IDC}(!i,2) = @quantile(rtmp,0.50)
imp_rsp_yield_s_{%IDC}(!i,3) = @quantile(rtmp,0.025)
next
next
