'cd "H:\Favero"
workfile Eurobonds d(1,5) 03/01/2000 31/12/2013

'Import data and transform
'----------------------------------------------------
smpl @first @last

'trade weights
smpl @first @last
read( b3, s=d_trade_weights ) "Database_cf1.xls" 121
for  %s bd bg es fn fr gr ir it nl oe pt 
delete w_{%s}_{%s}_tr
next

'Ratings
smpl @first @last
read( b3, s=d_Ratings ) "Database_cf1.xls" 13
series rating_bd=germany
series rating_bg=belgium
series rating_es=spain
series rating_fn=finland
series rating_fr=france
series rating_gr=greece
series rating_ir=ireland
series rating_it=italy
series rating_nl=netherlands
series rating_oe=austria
series rating_pt=portugal
series rating_us=us
series rating_uk=uk

delete germany belgium spain finland france greece ireland italy netherlands austria portugal us uk

' Yields
smpl @first @last
read( b3, s=d_Benchmark_10Y_RY_&_Swaps ) "Database_cf1.xls" 13
for  %s bd bg es fn fr gr ir it nl oe pt us uk 
rename BM{%s}10Y_RY_  yield_{%s}
series yield_bp_{%s} = yield_{%s}
delete yield_{%s}
rename yield_bp_{%s} yield_{%s}
next


' CDS
smpl @first @last
read( b3, s=d_CDS_Premia_10Y_&_5Y ) "Database_cf1.xls" 13
for  %s bd bg es fr gr ir it nl oe pt us uk 
rename {%s}GVTSX  cds_{%s}
series cds1_{%s} = cds_{%s}/100
delete cds_{%s}
rename cds1_{%s} cds_10Y_{%s}
next
series cds_10Y_fn = FINLDSX/100
delete FINLDSX


read( b3, s=d_CDS_Premia_10Y_Newdata ) "Database_cf1.xls" 13

smpl 01/10/2010 @last
series cds_10Y_BD=DEGA$AC/100
series cds_10Y_ES=ESGA$AC/100
series cds_10Y_FN=FIGA$AC/100
series cds_10Y_FR=FRGA$AC/100
series cds_10Y_UK=GBGA$AC/100
series cds_10Y_GR=GRGA$AC/100
series cds_10Y_IR=IEGA$AC/100
series cds_10Y_IT=ITGA$AC/100
series cds_10Y_NL=NLGA$AC/100
series cds_10Y_PT=PTGA$AC/100
'series cds_10Y_US=USGA$AC/100
series cds_10Y_OE=ATGA$AC/100
series cds_10Y_BG=BEGA$AC/100
delete ATGA$AC BEGA$AC DEGA$AC ESGA$AC FIGA$AC FRGA$AC GBGA$AC GRGA$AC IEGA$AC ITGA$AC NLGA$AC PTGA$AC USGA$AC*


smpl @first @last
read( o3, s=d_CDS_Premia_10Y_&_5Y ) "Database_cf1.xls" 13
for  %s bd bg es fr gr ir it nl oe pt us uk 
rename {%s}GVTS5  cds_{%s}
series cds1_{%s} = cds_{%s}/100
delete cds_{%s}
rename cds1_{%s} cds_5Y_{%s}
next
series cds_5Y_fn = FINLDS5/100
delete FINLDS5

' Swap rates
read( o3, s=d_Benchmark_10Y_RY_&_Swaps ) "Database_cf1.xls" 1
read( z3, s=d_Benchmark_10Y_RY_&_Swaps ) "Database_cf1.xls" 2
rename ICDEM10 swap_10Y_EU
rename ICUSD10 swap_10Y_US
rename ICGBP10 swap_10Y_UK

' Exchange rates
read( b3, s=d_Exchange_rates ) "Database_cf1.xls" 2
series exchange_eu_us =1/TEUSDSP
series exchange_eu_uk =1/TSEURSP
delete TEUSDSP TSEURSP

' US Corporate AAA e BAA
read( b3, s=d_US_corporate_AAA_BAA ) "Database_cf1.xls" 1
rename DAAA us_corp_AAA
read( c3, s=d_US_corporate_AAA_BAA ) "Database_cf1.xls" 1
rename DBAA us_corp_BAA
series US_corp_spread = us_corp_BAA - us_corp_AAA

' EIB bonds
read( b3, s=d_EIB_10Y ) "Database_cf1.xls" 1

'Differences with respect to Germany
'---------------------------------------------------

for %s bg es fn fr gr ir it nl oe pt 
series cds_10Y_s_{%s} = cds_10Y_{%s} - cds_10Y_bd
series cds_5Y_s_{%s} = cds_5Y_{%s} - cds_5Y_bd 
series yield_s_{%s} = yield_{%s} - yield_bd
'delete cds_10Y_{%s} cds_5Y_{%s} illiq_ratio_{%s} yield_{%s} price_{%s} volumes_{%s}
next
series yield_s_us = yield_us - yield_bd
series cds_10Y_s_us = cds_10Y_us - cds_10Y_bd
series cds_5Y_s_us = cds_5Y_us - cds_5Y_bd
series yield_s_uk = yield_uk - yield_bd
series cds_10Y_s_uk = cds_10Y_uk - cds_10Y_bd
series cds_5Y_s_uk = cds_5Y_uk - cds_5Y_bd

wfcreate "debt" d(1,5) 03/01/2000 31/12/2013
' EC Debt/GDP & Deficit/GDP Forecasts
read( b3, s=d_deficit_gdp_exp ) "Database_cf1.xls" 11
read( b3, s=d_debt_gdp_exp ) "Database_cf1.xls" 11
wfselect debt
for  %s bd bg es fn fr gr ir it nl oe pt
series DEFICIT_GDP_1_{%s} = DEFICIT_GDP_{%s} * -1
delete DEFICIT_GDP_{%s}
rename DEFICIT_GDP_1_{%s} DEFICIT_GDP_{%s}
next
for %s bg es fn fr gr ir it nl oe pt 
series deficit_gdp_s_{%s} = deficit_gdp_{%s} - deficit_gdp_bd
series debt_gdp_s_{%s} = debt_gdp_{%s} - debt_gdp_bd
'delete cds_10Y_{%s} cds_5Y_{%s} illiq_ratio_{%s} yield_{%s} price_{%s} volumes_{%s}
next
'-------------------------------------------------------------------------

wfcreate "European Bonds" m 2000:1 2013:4

copy(c = a) Eurobonds::Untitled\* "European Bonds"::Untitled\
copy(c = l) debt::Untitled\* "European Bonds"::Untitled\
wfselect Eurobonds
wfclose
wfselect debt
wfclose
wfselect "European Bonds"

pagerename untitled Dataset


pagecreate(page = Yields_1990_2011) d(1,5) 01/01/1990 31/12/2013

read( b3, s=d_Yields_1990_2011 ) "Database_cf1.xls" 13
for  %s bd bg es fn fr gr ir it nl oe pt us uk 
rename BM{%s}10Y_RY_  yield_{%s}
series yield_bp_{%s} = yield_{%s}
delete yield_{%s}
rename yield_bp_{%s} yield_{%s}
next
for  %s  bg es fn fr gr ir it nl oe pt us uk 
genr yield_s_{%s} =yield_{%s} -yield_bd
next 

' create global variables 
pageselect Dataset
' GLOBAL WITH  THE WEIGHTS FUNCTION OF  DEFICITS AND DEBT and possible correction for distance
scalar cutoff= 50
scalar cutoff1=50
smpl 2000:1 2013:04

'GLOBAL IT
%LIST = " bg es fn  fr ir nl oe pt gr  " 'it 
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_it_{%IDC}=abs((deficit_gdp_it-deficit_gdp_{%IDC})/3) +0.001
genr dist2_it_{%IDC}=abs((debt_gdp_it-debt_gdp_{%IDC})/60)+ 0.001
genr W1_IT_t_{%IDC}=1/dist1_it_{%IDC}
genr W2_IT_t_{%IDC}=1/dist2_it_{%IDC}
series W1_it_t_{%IDC}=W1_it_t_{%IDC}*(dist1_it_{%IDC}<cutoff1)
series W2_it_t_{%IDC}=W2_it_t_{%IDC}*(dist2_it_{%IDC}<cutoff)
denom=denom+ W1_IT_t_{%IDC}
denom1=denom1+ W2_IT_t_{%IDC}
next 
genr glob_sp1_it=0
genr glob_fun1_it=0
genr glob_sp2_it=0
genr glob_fun2_it=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_IT_{%IDC}=W1_IT_t_{%IDC}/denom
else
genr W1_IT_{%IDC}=0
endif
if denom1>0 then
genr W2_IT_{%IDC}=W2_IT_t_{%IDC}/denom1
else
genr W2_IT_{%IDC}=0
endif
glob_sp1_it=glob_sp1_it+W1_IT_{%IDC}*yield_s_{%IDC}
glob_sp2_it=glob_sp2_it+W2_IT_{%IDC}*yield_s_{%IDC}
glob_fun1_it=glob_fun1_it+W1_IT_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_it=glob_fun2_it+W2_IT_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 

delete W_IT_t* denom denom1
'GLOBAL BG
%LIST = " it  es fn  fr ir nl oe pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_bg_{%IDC}=abs((deficit_gdp_bg-deficit_gdp_{%IDC})/3) +0.001
genr dist2_bg_{%IDC}=abs((debt_gdp_bg-debt_gdp_{%IDC})/60)+ 0.001
genr W1_bg_t_{%IDC}=1/dist1_bg_{%IDC}
genr W2_bg_t_{%IDC}=1/dist2_bg_{%IDC}
series W1_bg_t_{%IDC}=W1_bg_t_{%IDC}*(dist1_bg_{%IDC}<cutoff1)
series W2_bg_t_{%IDC}=W2_bg_t_{%IDC}*(dist2_bg_{%IDC}<cutoff)
denom=denom+ W1_bg_t_{%IDC}
denom1=denom1+ W2_bg_t_{%IDC}

next 
genr glob_sp1_bg=0
genr glob_fun1_bg=0
genr glob_sp2_bg=0
genr glob_fun2_bg=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_bg_{%IDC}=W1_bg_t_{%IDC}/denom
else
genr W1_bg_{%IDC}=0
endif
if denom1>0 then
genr W2_bg_{%IDC}=W2_bg_t_{%IDC}/denom1
else
genr W2_bg_{%IDC}=0
endif
glob_sp1_bg=glob_sp1_bg+W1_bg_{%IDC}*yield_s_{%IDC}
glob_sp2_bg=glob_sp2_bg+W2_bg_{%IDC}*yield_s_{%IDC}
glob_fun1_bg=glob_fun1_bg+W1_bg_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_bg=glob_fun2_bg+W2_bg_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_bg_t* denom denom1

'GLOBAL es
%LIST = " it  bg  fn  fr ir nl oe pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_es_{%IDC}=abs((deficit_gdp_es-deficit_gdp_{%IDC})/3) +0.001
genr dist2_es_{%IDC}=abs((debt_gdp_es-debt_gdp_{%IDC})/60)+ 0.001
genr W1_es_t_{%IDC}=1/dist1_es_{%IDC}
genr W2_es_t_{%IDC}=1/dist2_es_{%IDC}
series W1_es_t_{%IDC}=W1_es_t_{%IDC}*(dist1_es_{%IDC}<cutoff1)
series W2_es_t_{%IDC}=W2_es_t_{%IDC}*(dist2_es_{%IDC}<cutoff)
denom=denom+ W1_es_t_{%IDC}
denom1=denom1+ W2_es_t_{%IDC}

next 
genr glob_sp1_es=0
genr glob_fun1_es=0
genr glob_sp2_es=0
genr glob_fun2_es=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_es_{%IDC}=W1_es_t_{%IDC}/denom
else
genr W1_es_{%IDC}=0
endif
if denom1>0 then
genr W2_es_{%IDC}=W2_es_t_{%IDC}/denom1
else
genr W2_es_{%IDC}=0
endif
glob_sp1_es=glob_sp1_es+W1_es_{%IDC}*yield_s_{%IDC}
glob_sp2_es=glob_sp2_es+W2_es_{%IDC}*yield_s_{%IDC}
glob_fun1_es=glob_fun1_es+W1_es_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_es=glob_fun2_es+W2_es_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_es_t* denom denom1
'GLOBAL fn
%LIST = " it  bg es  fr ir nl oe pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_fn_{%IDC}=abs((deficit_gdp_fn-deficit_gdp_{%IDC})/3) +0.001
genr dist2_fn_{%IDC}=abs((debt_gdp_fn-debt_gdp_{%IDC})/60)+ 0.001
genr W1_fn_t_{%IDC}=1/dist1_fn_{%IDC}
genr W2_fn_t_{%IDC}=1/dist2_fn_{%IDC}
series W1_fn_t_{%IDC}=W1_fn_t_{%IDC}*(dist1_fn_{%IDC}<cutoff1)
series W2_fn_t_{%IDC}=W2_fn_t_{%IDC}*(dist2_fn_{%IDC}<cutoff)
denom=denom+ W1_fn_t_{%IDC}
denom1=denom1+ W2_fn_t_{%IDC}

next 
genr glob_sp1_fn=0
genr glob_fun1_fn=0
genr glob_sp2_fn=0
genr glob_fun2_fn=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_fn_{%IDC}=W1_fn_t_{%IDC}/denom
else
genr W1_fn_{%IDC}=0
endif
if denom1>0 then
genr W2_fn_{%IDC}=W2_fn_t_{%IDC}/denom1
else
genr W2_fn_{%IDC}=0
endif
glob_sp1_fn=glob_sp1_fn+W1_fn_{%IDC}*yield_s_{%IDC}
glob_sp2_fn=glob_sp2_fn+W2_fn_{%IDC}*yield_s_{%IDC}
glob_fun1_fn=glob_fun1_fn+W1_fn_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_fn=glob_fun2_fn+W2_fn_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_fn_t* denom denom1
'GLOBAL fr
%LIST = " it  bg es  fn ir nl oe pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_fr_{%IDC}=abs((deficit_gdp_fr-deficit_gdp_{%IDC})/3) +0.001
genr dist2_fr_{%IDC}=abs((debt_gdp_fr-debt_gdp_{%IDC})/60)+ 0.001
genr W1_fr_t_{%IDC}=1/dist1_fr_{%IDC}
genr W2_fr_t_{%IDC}=1/dist2_fr_{%IDC}
series W1_fr_t_{%IDC}=W1_fr_t_{%IDC}*(dist1_fr_{%IDC}<cutoff1)
series W2_fr_t_{%IDC}=W2_fr_t_{%IDC}*(dist2_fr_{%IDC}<cutoff)
denom=denom+ W1_fr_t_{%IDC}
denom1=denom1+ W2_fr_t_{%IDC}

next 
genr glob_sp1_fr=0
genr glob_fun1_fr=0
genr glob_sp2_fr=0
genr glob_fun2_fr=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_fr_{%IDC}=W1_fr_t_{%IDC}/denom
else
genr W1_fr_{%IDC}=0
endif
if denom1>0 then
genr W2_fr_{%IDC}=W2_fr_t_{%IDC}/denom1
else
genr W2_fr_{%IDC}=0
endif
glob_sp1_fr=glob_sp1_fr+W1_fr_{%IDC}*yield_s_{%IDC}
glob_sp2_fr=glob_sp2_fr+W2_fr_{%IDC}*yield_s_{%IDC}
glob_fun1_fr=glob_fun1_fr+W1_fr_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_fr=glob_fun2_fr+W2_fr_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_fr_t* denom denom1
'GLOBAL ir
%LIST = " it  bg es  fn fr nl oe pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_ir_{%IDC}=abs((deficit_gdp_ir-deficit_gdp_{%IDC})/3) +0.001
genr dist2_ir_{%IDC}=abs((debt_gdp_ir-debt_gdp_{%IDC})/60)+ 0.001
genr W1_ir_t_{%IDC}=1/dist1_ir_{%IDC}
genr W2_ir_t_{%IDC}=1/dist2_ir_{%IDC}
series W1_ir_t_{%IDC}=W1_ir_t_{%IDC}*(dist1_ir_{%IDC}<cutoff1)
series W2_ir_t_{%IDC}=W2_ir_t_{%IDC}*(dist2_ir_{%IDC}<cutoff)
denom=denom+ W1_ir_t_{%IDC}
denom1=denom1+ W2_ir_t_{%IDC}

next 
genr glob_sp1_ir=0
genr glob_fun1_ir=0
genr glob_sp2_ir=0
genr glob_fun2_ir=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_ir_{%IDC}=W1_ir_t_{%IDC}/denom
else
genr W1_ir_{%IDC}=0
endif
if denom1>0 then
genr W2_ir_{%IDC}=W2_ir_t_{%IDC}/denom1
else
genr W2_ir_{%IDC}=0
endif
glob_sp1_ir=glob_sp1_ir+W1_ir_{%IDC}*yield_s_{%IDC}
glob_sp2_ir=glob_sp2_ir+W2_ir_{%IDC}*yield_s_{%IDC}
glob_fun1_ir=glob_fun1_ir+W1_ir_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_ir=glob_fun2_ir+W2_ir_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_ir_t* denom denom1
'GLOBAL nl
%LIST = " it  bg es  fn fr ir oe pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_nl_{%IDC}=abs((deficit_gdp_nl-deficit_gdp_{%IDC})/3) +0.001
genr dist2_nl_{%IDC}=abs((debt_gdp_nl-debt_gdp_{%IDC})/60)+ 0.001
genr W1_nl_t_{%IDC}=1/dist1_nl_{%IDC}
genr W2_nl_t_{%IDC}=1/dist2_nl_{%IDC}
series W1_nl_t_{%IDC}=W1_nl_t_{%IDC}*(dist1_nl_{%IDC}<cutoff1)
series W2_nl_t_{%IDC}=W2_nl_t_{%IDC}*(dist2_nl_{%IDC}<cutoff)
denom=denom+ W1_nl_t_{%IDC}
denom1=denom1+ W2_nl_t_{%IDC}

next 
genr glob_sp1_nl=0
genr glob_fun1_nl=0
genr glob_sp2_nl=0
genr glob_fun2_nl=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_nl_{%IDC}=W1_nl_t_{%IDC}/denom
else
genr W1_nl_{%IDC}=0
endif
if denom1>0 then
genr W2_nl_{%IDC}=W2_nl_t_{%IDC}/denom1
else
genr W2_nl_{%IDC}=0
endif
glob_sp1_nl=glob_sp1_nl+W1_nl_{%IDC}*yield_s_{%IDC}
glob_sp2_nl=glob_sp2_nl+W2_nl_{%IDC}*yield_s_{%IDC}
glob_fun1_nl=glob_fun1_nl+W1_nl_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_nl=glob_fun2_nl+W2_nl_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_nl_t* denom denom1
'GLOBAL oe
%LIST = " it  bg es  fn fr ir nl pt gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_oe_{%IDC}=abs((deficit_gdp_oe-deficit_gdp_{%IDC})/3) +0.001
genr dist2_oe_{%IDC}=abs((debt_gdp_oe-debt_gdp_{%IDC})/60)+ 0.001
genr W1_oe_t_{%IDC}=1/dist1_oe_{%IDC}
genr W2_oe_t_{%IDC}=1/dist2_oe_{%IDC}
series W1_oe_t_{%IDC}=W1_oe_t_{%IDC}*(dist1_oe_{%IDC}<cutoff1)
series W2_oe_t_{%IDC}=W2_oe_t_{%IDC}*(dist2_oe_{%IDC}<cutoff)
denom=denom+ W1_oe_t_{%IDC}
denom1=denom1+ W2_oe_t_{%IDC}

next 
genr glob_sp1_oe=0
genr glob_fun1_oe=0
genr glob_sp2_oe=0
genr glob_fun2_oe=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_oe_{%IDC}=W1_oe_t_{%IDC}/denom
else
genr W1_oe_{%IDC}=0
endif
if denom1>0 then
genr W2_oe_{%IDC}=W2_oe_t_{%IDC}/denom1
else
genr W2_oe_{%IDC}=0
endif
glob_sp1_oe=glob_sp1_oe+W1_oe_{%IDC}*yield_s_{%IDC}
glob_sp2_oe=glob_sp2_oe+W2_oe_{%IDC}*yield_s_{%IDC}
glob_fun1_oe=glob_fun1_oe+W1_oe_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_oe=glob_fun2_oe+W2_oe_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_oe_t* denom denom1
'GLOBAL pt
%LIST = " it  bg es  fn fr ir nl oe gr  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_pt_{%IDC}=abs((deficit_gdp_pt-deficit_gdp_{%IDC})/3) +0.001
genr dist2_pt_{%IDC}=abs((debt_gdp_pt-debt_gdp_{%IDC})/60)+ 0.001
genr W1_pt_t_{%IDC}=1/dist1_pt_{%IDC}
genr W2_pt_t_{%IDC}=1/dist2_pt_{%IDC}
series W1_pt_t_{%IDC}=W1_pt_t_{%IDC}*(dist1_pt_{%IDC}<cutoff1)
series W2_pt_t_{%IDC}=W2_pt_t_{%IDC}*(dist2_pt_{%IDC}<cutoff)
denom=denom+ W1_pt_t_{%IDC}
denom1=denom1+ W2_pt_t_{%IDC}

next 
genr glob_sp1_pt=0
genr glob_fun1_pt=0
genr glob_sp2_pt=0
genr glob_fun2_pt=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_pt_{%IDC}=W1_pt_t_{%IDC}/denom
else
genr W1_pt_{%IDC}=0
endif
if denom1>0 then
genr W2_pt_{%IDC}=W2_pt_t_{%IDC}/denom1
else
genr W2_pt_{%IDC}=0
endif
glob_sp1_pt=glob_sp1_pt+W1_pt_{%IDC}*yield_s_{%IDC}
glob_sp2_pt=glob_sp2_pt+W2_pt_{%IDC}*yield_s_{%IDC}
glob_fun1_pt=glob_fun1_pt+W1_pt_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_pt=glob_fun2_pt+W2_pt_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_pt_t* denom denom1
'GLOBAL gr
%LIST = " it  bg es  fn fr ir nl oe pt  "
genr denom=0
genr denom1=0
FOR %IDC {%LIST}
genr dist1_gr_{%IDC}=abs((deficit_gdp_gr-deficit_gdp_{%IDC})/3) +0.001
genr dist2_gr_{%IDC}=abs((debt_gdp_gr-debt_gdp_{%IDC})/60)+ 0.001
genr W1_gr_t_{%IDC}=1/dist1_gr_{%IDC}
genr W2_gr_t_{%IDC}=1/dist2_gr_{%IDC}
series W1_gr_t_{%IDC}=W1_gr_t_{%IDC}*(dist1_gr_{%IDC}<cutoff1)
series W2_gr_t_{%IDC}=W2_gr_t_{%IDC}*(dist2_gr_{%IDC}<cutoff)
denom=denom+ W1_gr_t_{%IDC}
denom1=denom1+ W2_gr_t_{%IDC}

next 
genr glob_sp1_gr=0
genr glob_fun1_gr=0
genr glob_sp2_gr=0
genr glob_fun2_gr=0

FOR %IDC {%LIST}
if denom>0 then
genr W1_gr_{%IDC}=W1_gr_t_{%IDC}/denom
else
genr W1_gr_{%IDC}=0
endif
if denom1>0 then
genr W2_gr_{%IDC}=W2_gr_t_{%IDC}/denom1
else
genr W2_gr_{%IDC}=0
endif
glob_sp1_gr=glob_sp1_gr+W1_gr_{%IDC}*yield_s_{%IDC}
glob_sp2_gr=glob_sp2_gr+W2_gr_{%IDC}*yield_s_{%IDC}
glob_fun1_gr=glob_fun1_gr+W1_gr_{%IDC}*(abs((deficit_gdp_bd-deficit_gdp_{%IDC})/3))
glob_fun2_gr=glob_fun2_gr+W2_gr_{%IDC}*(abs((debt_gdp_bd-debt_gdp_{%IDC})/60))
next 
delete W_gr_t* denom denom1
delete  dist_* 'w1* w2*
